datablock ParticleData(KamikazeTruckExplosionParticle)
{
   dragCoefficient      = 8;
   gravityCoefficient   = 0.5;
   inheritedVelFactor   = 0;
   constantAcceleration = 0.0;
   lifetimeMS           = 1200;
   lifetimeVarianceMS   = 130;
   textureName          = "base/data/particles/cloud";
   spinSpeed			= 35.0;
   spinRandomMin		= -50.0;
   spinRandomMax		= 50.0;
   colors[0]     = "0.9 0.7 0.1 0.95";
   colors[1]     = "0.7 0.7 0.0 0.5";
   colors[2]     = "0.6 0.5 0.0 0.2";
   sizes[0]      = 4.0;
   sizes[1]      = 11.0;
   sizes[2]      = 15.0;
   times[0] = 0.0;
   times[1] = 0.6;
   times[2] = 1.0;

   useInvAlpha = true;
};

datablock ParticleEmitterData(KamikazeTruckExplosionEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 20;
   velocityVariance = 2.5;
   ejectionOffset   = 1.4;
   thetaMin         = 135;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "KamikazeTruckExplosionParticle";
};

datablock ParticleData(KamikazeTruckSmokeParticle)
{
   dragCoefficient      = 8;
   gravityCoefficient   = -4;
   inheritedVelFactor   = 0;
   constantAcceleration = 0.0;
   lifetimeMS           = 700;
   lifetimeVarianceMS   = 400;
   textureName          = "base/data/particles/cloud";
   spinSpeed			= 70.0;
   spinRandomMin		= -150.0;
   spinRandomMax		= 150.0;
   colors[0]     = "0.3 0.3 0.3 1";
   colors[1]     = "0.0 0.0 0.0 0.9";
   colors[2]     = "0.0 0.0 0.0 0.1";
   sizes[0]      = 3.0;
   sizes[1]      = 4.0;
   sizes[2]      = 9.0;
   times[0] = 0.0;
   times[1] = 0.1;
   times[2] = 1.0;

   useInvAlpha = true;
};
datablock ParticleEmitterData(KamikazeTruckSmokeEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 2;
   ejectionVelocity = 40;
   velocityVariance = 39;
   ejectionOffset   = 0.5;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "KamikazeTruckSmokeParticle";
};

datablock ParticleData(KamikazeTruckExplosionStarParticle)
{
   dragCoefficient      = 8;
   gravityCoefficient   = -0.5;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 60;
   lifetimeVarianceMS   = 20;
   textureName          = "base/data/particles/star1";
   spinSpeed		= 100.0;
   spinRandomMin		= -400.0;
   spinRandomMax		= 400.0;
   colors[0]     = "1 0.7 0.0 0.7";
   colors[1]     = "0.9 0.4 0.0 0.2";
   sizes[0]      = 6;
   sizes[1]      = 25;

   useInvAlpha = false;
};
datablock ParticleEmitterData(KamikazeTruckExplosionStarEmitter)
{
   lifeTimeMS = 60;
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 5;
   velocityVariance = 0.0;
   ejectionOffset   = 7.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "KamikazeTruckExplosionStarParticle";
};


datablock ParticleData(KamikazeTruckExplosionChunkParticle)
{
   dragCoefficient      = 0;
   gravityCoefficient   = 8;
   inheritedVelFactor   = 1;
   constantAcceleration = 0.0;
   lifetimeMS           = 2400;
   lifetimeVarianceMS   = 1800;
   textureName          = "base/data/particles/chunk";
   spinSpeed		= 10.0;
   spinRandomMin		= -500.0;
   spinRandomMax		= 500.0;
   colors[0]     = "0.4 0.4 0.3 0.8";
   colors[1]     = "0.0 0.0 0.0 0.8";
   sizes[0]      = 0.9;
   sizes[1]      = 0.9;

   useInvAlpha = true;
};
datablock ParticleEmitterData(KamikazeTruckExplosionChunkEmitter)
{
   lifeTimeMS = 30;
   ejectionPeriodMS = 2;
   periodVarianceMS = 1;
   ejectionVelocity = 50;
   velocityVariance = 20.0;
   ejectionOffset   = 3.0;
   thetaMin         = 80;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "KamikazeTruckExplosionChunkParticle";
};


datablock ExplosionData(KamikazeTruckExplosion)
{
   explosionShape = "add-ons/weapon_rocket_launcher/explosionSphere1.dts";
   soundProfile = RocketExplodeSound;

   lifeTimeMS = 300;

   particleEmitter = KamikazeTruckExplosionEmitter;
   particleDensity = 6;
   particleRadius = 0.75;

   emitter[0] = KamikazeTruckExplosionStarEmitter;
   emitter[1] = KamikazeTruckExplosionChunkEmitter;
   emitter[2] = KamikazeTruckSmokeEmitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "6.0 18.0 10.0";
   camShakeAmp = "4.0 15.0 9.0";
   camShakeDuration = 0.5;
   camShakeRadius = 13.0;

   // Dynamic light
   lightStartRadius = 5;
   lightEndRadius = 20;
   lightStartColor = "1 0.7 0 1";
   lightEndColor = "1 0 0 0";

   damageRadius = 4;
   radiusDamage = 65;

   impulseRadius = 5;
   impulseForce = 600;

   playerBurnTime = 2000;
};

datablock ProjectileData(KamikazeTruckExplosionProjectile : vehicleExplosionProjectile)
{
   directDamage        = 0;
   radiusDamage        = 0;
   damageRadius        = 0;
   explosion           = KamikazeTruckExplosion;

   directDamageType  = $DamageType::VehicleExplosion;
   radiusDamageType  = $DamageType::VehicleExplosion;

   explodeOnDeath		= 1;

   armingDelay         = 0;
   lifetime            = 0;

//   uiName = "Kamikaze Truck Explosion";
};