datablock AudioProfile(KamikazeTruckBlastSound)
{
	filename	    = "./TruckExplosion.wav";
	description		= AudioClose3d;
	preload 		= true;
};

datablock ParticleData(KamikazeTruckDebrisTrailParticle)
{
	dragCoefficient		= 0.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0.0;
	inheritedVelFactor	= 0.1;
	constantAcceleration	= 0.0;
	lifetimeMS		= 300;
	lifetimeVarianceMS	= 0;
	spinSpeed		= 0.0;
	spinRandomMin		= 0.0;
	spinRandomMax		= 0.0;
	useInvAlpha		= true;
	animateTexture		= false;

	textureName		= "base/data/particles/dot";

	colors[0]	= "1.0 0.8 0.0 1.0";
	colors[1]	= "0.8 0.4 0.0 0.5";
	colors[2]	= "0.4 0.0 0.0 0.0";

	sizes[0]	= 0.5;
	sizes[1]	= 0.3;
	sizes[2]	= 0.1;

	times[0]	= 0.0;
	times[1]	= 0.25;
	times[2]	= 1.0;
};

datablock ParticleEmitterData(KamikazeTruckDebrisTrailEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 0.0;
   velocityVariance = 0.0;
   ejectionOffset   = 1.0;
   thetaMin         = 0;
   thetaMax         = 0;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "KamikazeTruckDebrisTrailParticle";
};

datablock DebrisData(KamikazeTruckDebris)
{
   	emitters = "KamikazeTruckDebrisTrailEmitter";
	shapeFile = "base/data/shapes/empty.dts";
	lifetime = 2;
	lifetimeVariance = 1;
	minSpinSpeed = 0.0;
	maxSpinSpeed = 0.0;
	elasticity = 0.8;
	friction = 0.3;
	numBounces = 3;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = true;

	gravModifier = 1.5;
};

//datablock DebrisData(KamikazeTruckBodyDebris) No sense creating this when I have no clue how to use 2 debris types in one explosion. I could write a hack, but it's much easier to say it was destroied in the explosion.
//{
//   emitters = "JeepDebrisTrailEmitter";
//
//	shapeFile = "add-ons/vehicle_jeep/jeepWreckage.dts";
//	lifetime = 3.0;
//	minSpinSpeed = -500.0;
//	maxSpinSpeed = 500.0;
//	elasticity = 0.5;
//	friction = 0.2;
//	numBounces = 1;
//	staticOnMaxBounce = true;
//	snapOnMaxBounce = false;
//	fade = true;
//
//	gravModifier = 2;
//};

datablock ParticleData(KamikazeTruckFinalExplosionParticle)
{
   dragCoefficient      = 6;
   gravityCoefficient   = -1.5;
   inheritedVelFactor   = -0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 800;
   lifetimeVarianceMS   = 600;
   textureName          = "base/data/particles/cloud";
   spinSpeed			= 35.0;
   spinRandomMin		= -50.0;
   spinRandomMax		= 50.0;
   colors[0]     = "0.9 0.7 0.0 0.95";
   colors[1]     = "0.8 0.4 0.0 0.8";
   colors[2]     = "0.6 0.1 0.0 0.2";
   sizes[0]      = 8.0;
   sizes[1]      = 12.0;
   sizes[2]      = 20.0;
   times[0] = 0.0;
   times[1] = 0.3;
   times[2] = 1.0;

   useInvAlpha = true;
};

datablock ParticleEmitterData(KamikazeTruckFinalExplosionEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 2;
   ejectionVelocity = 40;
   velocityVariance = 30;
   ejectionOffset   = 4;
   thetaMin         = 60;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "KamikazeTruckFinalExplosionParticle";
};

datablock ParticleData(KamikazeTruckFinalSmokeParticle)
{
   dragCoefficient      = 5;
   gravityCoefficient   = -3;
   inheritedVelFactor   = 0;
   constantAcceleration = 0.0;
   lifetimeMS           = 1700;
   lifetimeVarianceMS   = 200;
   textureName          = "base/data/particles/cloud";
   spinSpeed			= 70.0;
   spinRandomMin		= -150.0;
   spinRandomMax		= 150.0;
   colors[0]     = "0.2 0.2 0.2 0.9";
   colors[1]     = "0.1 0.1 0.1 0.7";
   colors[2]     = "0.0 0.0 0.0 0.1";
   sizes[0]      = 6.0;
   sizes[1]      = 10.0;
   sizes[2]      = 14.0;
   times[0] = 0.0;
   times[1] = 0.4;
   times[2] = 1.0;

   useInvAlpha = true;
};
datablock ParticleEmitterData(KamikazeTruckFinalSmokeEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 1;
   ejectionVelocity = 90;
   velocityVariance = 30;
   ejectionOffset   = 0.5;
   thetaMin         = 75;
   thetaMax         = 115;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "KamikazeTruckFinalSmokeParticle";
};

datablock ParticleData(KamikazeTruckFinalExplosionChunkParticle)
{
   dragCoefficient      = 0;
   gravityCoefficient   = 4;
   inheritedVelFactor   = 0.5;
   constantAcceleration = 0.0;
   lifetimeMS           = 3200;
   lifetimeVarianceMS   = 1200;
   textureName          = "base/data/particles/chunk";
   spinSpeed		= 40.0;
   spinRandomMin		= -500.0;
   spinRandomMax		= 500.0;
   colors[0]     = "0.9 0.8 0.0 1.0";
   colors[1]     = "0.6 0.2 0.0 1.0";
   sizes[0]      = 0.9;
   sizes[1]      = 0.9;

   useInvAlpha = true;
};
datablock ParticleEmitterData(KamikazeTruckFinalExplosionChunkEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 130;
   velocityVariance = 40.0;
   ejectionOffset   = 1.0;
   thetaMin         = 90;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "KamikazeTruckFinalExplosionChunkParticle";
};

datablock ExplosionData(KamikazeTruckFinalExplosion)
{
   explosionShape = "add-ons/weapon_rocket_launcher/explosionSphere1.dts";
   soundProfile = KamikazeTruckBlastSound;

   lifeTimeMS = 375;

   particleEmitter = KamikazeTruckFinalExplosionEmitter;
   particleDensity = 30;
   particleRadius = 7;

   emitter[0] = KamikazeTruckFinalExplosionChunkEmitter;
   emitter[1] = KamikazeTruckFinalSmokeEmitter;
   emitter[2] = KamikazeTruckSmokeEmitter;
   
   debris = KamikazeTruckDebris;
   debrisNum = 20;
   debrisNumVariance = 10;
   debrisPhiMin = 0;
   debrisPhiMax = 360;
   debrisThetaMin = 115;
   debrisThetaMax = 180;
   debrisVelocity = 70;
   debrisVelocityVariance = 50;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "9.0 10.0 6.0";
   camShakeAmp = "12.0 12.0 9.0";
   camShakeDuration = 1.3;
   camShakeRadius = 25.0;

   // Dynamic light
   lightStartRadius = 10;
   lightEndRadius = 30;
   lightStartColor = "1 0.8 0.7 1";
   lightEndColor = "1 0.7 0 0";

   damageRadius = 16;
   radiusDamage = 200;

   impulseRadius = 13;
   impulseForce = 5000;

   playerBurnTime = 7000;
   
   uiName = "Kamikaze Truck Explosion";
};

datablock ProjectileData(KamikazeTruckFinalExplosionProjectile : vehicleFinalExplosionProjectile)
{
   directDamage        = 0;
   radiusDamage        = 200;
   damageRadius        = 14;
   explosion           = KamikazeTruckFinalExplosion;
   
   brickExplosionRadius = 14;
   brickExplosionImpact = true;
   brickExplosionForce  = 75;             
   brickExplosionMaxVolume = 45;
   brickExplosionMaxVolumeFloating = 65;


   directDamageType  = $DamageType::VehicleExplosion;
   radiusDamageType  = $DamageType::VehicleExplosion;

   explodeOnDeath		= 1;

   armingDelay         = 0;
   lifetime            = 0;

   uiName = "Kamikaze Truck Final Explosion";
};