datablock WheeledVehicleData(KamikazeTruckVehicle)
{
	category = "Vehicles";
	displayName = " ";
	shapeFile = "./KamikazeTruck.dts";
	emap = true;
	minMountDist = 3;
	
	numMountPoints = 2;
	mountThread[0] = "sit";
	mountThread[1] = "sit";
	
	maxDamage = 300.00;
	destroyedLevel = 300.00;
	speedDamageScale = 1.04;
	collDamageThresholdVel = 20.0;
	collDamageMultiplier   = 0.02;
	
	massCenter = "0 0 0";
	
	maxSteeringAngle = 0.9785;  // Maximum steering angle, should match animation
	integration = 4;           // Force integration time: TickSec/Rate
	tireEmitter = VehicleTireEmitter; // All the tires use the same dust emitter
	
	cameraRoll = false;         // Roll the camera with the vehicle
	cameraMaxDist = 13;         // Far distance from vehicle
	cameraOffset = 7.5;        // Vertical offset from camera mount point
	cameraLag = 0.0;           // Velocity lag of camera
	cameraDecay = 0.75;        // Decay per sec. rate of velocity lag
	cameraTilt = 0.4;
	collisionTol = 0.2;        // Collision distance tolerance
	contactTol = 0.2;
	
	useEyePoint = false;	
	
	defaultTire	= JeepTire;
	defaultSpring	= jeepSpring;
	
	numWheels = 6;
	
	mass = 1100;
	density = 9.0;
	drag = 3.4;
	bodyFriction = 0.6;
	bodyRestitution = 0.6;
	minImpactSpeed = 10;        // Impacts over this invoke the script callback
	softImpactSpeed = 10;       // Play SoftImpact Sound
	hardImpactSpeed = 15;      // Play HardImpact Sound
	groundImpactMinSpeed    = 10.0;
	
	engineTorque = 24000;	// Engine power
	engineBrake = 1000;		// Braking when throttle is 0 //Intentionally low so it can coast to the target when triggered.
	brakeTorque = 65000;	// When brakes are applied
	maxWheelSpeed = 42;		// Engine scale by current speed / max speed
	
	rollForce		= 8500;
	yawForce		= 600;
	pitchForce		= 1000;
	rotationalDrag		= 0.5;
	
	steeringAutoReturn = true;
	steeringAutoReturnRate = 0.9;
	steeringAutoReturnMaxSpeed = 7;
	steeringUseStrafeSteering = true;
	steeringStrafeSteeringRate = 0.1;
	
	maxSteeringAngle = 0.6425;
	
	maxEnergy = 100;
	jetForce = 3000;
	minJetEnergy = 30;
	jetEnergyDrain = 2;
	
	splash = vehicleSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 1.4;
	splashEmitter[0] = vehicleFoamDropletsEmitter;
	splashEmitter[1] = vehicleFoamEmitter;
	splashEmitter[2] = vehicleBubbleEmitter;
	mediumSplashSoundVelocity = 10.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 5.0;

	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;

	justcollided = 0;
	
	uiName = "Kamikaze Truck";
	rideable = true;
	lookUpLimit = 0.65;
	lookDownLimit = 0.45;
	
	paintable = true;
	
	damageEmitter[0] = VehicleBurnEmitter;
	damageEmitterOffset[0] = "0.0 0.0 0.0 ";
	damageLevelTolerance[0] = 0.99;
	
	damageEmitter[1] = VehicleBurnEmitter;
	damageEmitterOffset[1] = "0.0 4.0 0.0 ";
	damageLevelTolerance[1] = 1.0;
	
	numDmgEmitterAreas = 1;
	
	initialExplosionProjectile = KamikazeTruckExplosionProjectile;
	initialExplosionOffset = 0;         //offset only uses a z value for now
	
	burnTime = 4000;
	
	finalExplosionProjectile = KamikazeTruckFinalExplosionProjectile;
	finalExplosionOffset = 0.5;          //offset only uses a z value for now
	
	minRunOverSpeed    = 4;   //how fast you need to be going to run someone over (do damage)
	runOverDamageScale = 1.2;   //when you run over someone, speed * runoverdamagescale = damage amt
	runOverPushScale   = 1.9; //how hard a person you're running over gets pushed
	
	protectPassengersBurn   = false;  //protect passengers from the burning effect of explosions?
	protectPassengersRadius = false;  //protect passengers from radius damage (explosions) ?
	protectPassengersDirect = false; //protect passengers from direct damage (bullets) ?
};

function KamikazeTruckvehicle::onadd(%this,%obj)
{ 
	parent::onadd(%this,%obj);
	
	%obj.setTransform(vectorAdd(%obj.getTransform(), "0 0 1") SPC getWords(%obj.GetTransform(), 3, 5));
	
	%obj.setWheelTire(0, JeepTire);
	%obj.setWheelTire(1, JeepTire);
	%obj.setWheelTire(2, JeepTire);
	%obj.setWheelTire(3, JeepTire);
	%obj.setWheelTire(4, JeepTire);
	%obj.setWheelTire(5, JeepTire);

	%obj.setWheelSpring(0, JeepSpring);
	%obj.setWheelSpring(1, JeepSpring);
	%obj.setWheelSpring(2, JeepSpring);
	%obj.setWheelSpring(3, JeepSpring);
	%obj.setWheelSpring(4, JeepSpring);
	%obj.setWheelSpring(5, JeepSpring);
	
	%obj.setWheelSteering(0, 0.6);
	%obj.setWheelSteering(1, 0.6);

	%obj.setWheelPowered(0,true);
	%obj.setWheelPowered(1,true);
	%obj.setWheelPowered(2,true);
    %obj.setWheelPowered(3,true);
	%obj.setWheelPowered(4,true);
	%obj.setWheelPowered(5,true);
}


package KamikazeTruckExplode
{
	function armor::onTrigger(%this, %obj, %triggerNum, %val)
	{
		%mount = %obj.getObjectMount();
		if(isObject(%mount))
		{
			if(%mount.getDataBlock() == KamikazeTruckVehicle.GetID() && %triggerNum == 0)
			{
				if(%val)
					%obj.KBTTrigEnable = getSimTime();
				else if(vectorDist(%obj.KBTTrigEnable, getSimTime()) < 500)
				{
					%client = %obj.client;
					if(isObject(%client) && !%client.player.getMountedImage(0))
					{
						%mount.damage(%obj, %obj.getPosition(), 10000, Projectile);
						%mount.setWheelTire(0, JeepTire);
						%mount.setWheelTire(1, JeepTire);
						%mount.setWheelTire(2, JeepTire);
						%mount.setWheelTire(3, JeepTire);
						%mount.setWheelTire(4, JeepTire);
						%mount.setWheelTire(5, JeepTire);
						%mount.setWheelSpring(0, jeepSpring);
						%mount.setWheelSpring(1, jeepSpring);
						%mount.setWheelSpring(2, jeepSpring);
						%mount.setWheelSpring(3, jeepSpring);
						%mount.setWheelSpring(4, jeepSpring);
						%mount.setWheelSpring(5, jeepSpring);
						%mount.setWheelPowered(0, 0);
						%mount.setWheelPowered(1, 0);
						%mount.setWheelPowered(2, 0);
						%mount.setWheelPowered(3, 0);
						%mount.setWheelPowered(4, 0);
						%mount.setWheelPowered(5, 0);
						%mount.setWheelSteering(0, 0);
						%mount.setWheelSteering(1, 0);
						%obj.dismount();
						%obj.setvelocity("0 0 4");
						return;
					}
				}
			}
		}
		Parent::onTrigger(%this, %obj, %triggerNum, %val);
	}
};
activatepackage(KamikazeTruckExplode);